Name:		kmplayer
Version:	0.11.3d
Release:	%mkrel 4
Summary:	A multimedia mplayer/phonon frontend for KDE
License:	GPLv2+
Group:		Video/Players
Url:		http://kmplayer.kde.org/
Source:		http://kmplayer.kde.org/pkgs/%{name}-%{version}.tar.bz2

BuildRequires:	kdelibs4-devel
BuildRequires:	libnspr-devel
BuildRequires:	gtk2-devel
BuildRequires:	libxt-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils

Obsoletes:	kde4-%{name} < 0.11.0-0.rc2.5
Suggests:	mplayer

%description
Kmplayer can play all the audio/video supported by mplayer/phonon from a
local file or URL and be embedded in Konqueror and KHTML.
It also plays DVDs.

%files -f %{name}.lang
%doc ChangeLog README
%{_kde_bindir}/%{name}
%{_kde_bindir}/kphononplayer
%{_kde_datadir}/apps/%{name}
%{_kde_services}/*.desktop
%{_kde_configdir}/%{name}rc
%{_kde_libdir}/*.so
%{_kde_libdir}/kde4/*.so
%{_kde_iconsdir}/hicolor/*/*/*
%{_kde_applicationsdir}/%{name}.desktop

%package	npplayer
Group:      Video/Utilities
Summary:	Kmplayer netscape plugin player
Requires:	%{name}

%description	npplayer
Kmplayer netscape plugin player.

%files npplayer
%doc AUTHORS ChangeLog README
%{_kde_bindir}/knpplayer

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

# fix .desktop file
desktop-file-install \
		--vendor="" \
		--remove-mime-type="uri/mms;uri/pnm;uri/rtspt;uri/rtspu" \
		--dir %{buildroot}%{_kde_applicationsdir} %{buildroot}%{_kde_applicationsdir}/%{name}.desktop

%{find_lang} %{name} --with-html


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.11.3d-4.mga4
+ Revision: 506723
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.11.3d-3.mga3
+ Revision: 356330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 0.11.3d-2.mga3
+ Revision: 341088
- Fix group

  + fwang <fwang>
    - there is no need checking desktop files, as we are doing this via rpmlint

* Wed Jun 20 2012 fwang <fwang> 0.11.3d-1.mga3
+ Revision: 262026
- new version 0.11.3d

* Sun Apr 15 2012 luigiwalser <luigiwalser> 0.11.3c-1.mga2
+ Revision: 230949
- 0.11.3c

* Mon Jan 30 2012 fwang <fwang> 0.11.3b-1.mga2
+ Revision: 203291
- new version 0.11.3b

* Tue Nov 15 2011 barjac <barjac> 0.11.3a-1.mga2
+ Revision: 168021
- Description edit again
- Ddescription edit
- New version with glib patch

* Thu Oct 13 2011 fwang <fwang> 0.11.3-1.mga2
+ Revision: 154634
- br xt
- new version 0.11.3

* Sun Feb 27 2011 ahmad <ahmad> 0.11.2c-1.mga1
+ Revision: 61115
- imported package kmplayer


* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 0.11.2c-1mdv2011.0
+ Revision: 583014
- update to new version 0.11.2c

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 0.11.2b-1mdv2010.1
+ Revision: 538567
- update to new version 0.11.2b

* Tue Apr 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.11.2a-2mdv2010.1
+ Revision: 537273
- suggest, only suggest, mplayer
- add dbus-glib-devel back, needed for older releases
- remove redundant BR, dbus-glib-devel is already required by kdelibs4-devel

* Mon Mar 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.11.2a-1mdv2010.1
+ Revision: 526359
- new upstream release (fixes mdv bug#58045)
- add new check as per new kde policy

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.11.2-2mdv2010.1
+ Revision: 524966
- clean spec
- fix .deksktop file

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.11.2-1mdv2010.1
+ Revision: 515522
- update to 0.11.2
- Fix mixed-use-of-spaces-and-tabs

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 0.11.1b-1mdv2010.0
+ Revision: 386901
- New version 0.11.1b

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 0.11.1a-1mdv2010.0
+ Revision: 376677
- New version 0.11.1a

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 374113
- New version 0.11.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove unneeded macros

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.11.0a-1mdv2009.1
+ Revision: 333584
- new version 0.11.0a

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 0.11.0-0.rc4.4mdv2009.0
+ Revision: 290272
- Fix crash on dolphin due invalid location of desktop file.

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.11.0-0.rc4.3mdv2009.0
+ Revision: 264766
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 0.11.0-0.rc4.2mdv2009.0
+ Revision: 216400
- compile using new LDFLAGS
- New version 0.11.0 rc4

* Thu May 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11.0-0.rc2.6mdv2009.0
+ Revision: 210130
- Fix Obsoletes
- Fix name
- Fix spec file name
- Use kde4 app by default

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11.0-0.rc2.4mdv2008.1
+ Revision: 182317
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Funda Wang <fwang@mandriva.org> 0.11.0-0.rc2.3mdv2008.1
+ Revision: 177098
- add conflicts on kmplayer3

* Fri Feb 08 2008 Funda Wang <fwang@mandriva.org> 0.11.0-0.rc2.2mdv2008.1
+ Revision: 164103
- fix conflict with oxygen-icon-theme

* Mon Jan 28 2008 Funda Wang <fwang@mandriva.org> 0.11.0-0.rc2.1mdv2008.1
+ Revision: 159053
- New version 0.11.0 rc2

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 0.11.0-0.rc1.1mdv2008.1
+ Revision: 155249
- BR dbus-glib
- reword summary
- import souorce and spec
- Created package structure for kde4-kmplayer.


* Thu Apr 05 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-7mdv2007.1
+ Revision: 150674
- 0.9.4a

* Tue Mar 27 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-6mdv2007.1
+ Revision: 148823
- Fix bug #29462

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 0.9.4-5mdv2007.1
+ Revision: 146347
- tag lang on HTML doc

* Tue Mar 13 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-4mdv2007.1
+ Revision: 142467
- Add requires on mplayer

* Sun Mar 04 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-3mdv2007.1
+ Revision: 132009
- 0.9.4

* Fri Jan 05 2007 Laurent Montel <lmontel@mandriva.com> 0.9.3-3mdv2007.1
+ Revision: 104537
- 0.9.3a
- Don't block close kde session.
  (bug found by Jloup)
  (patch commited into svn)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - kmplayer-0.9.3-1mdv2007.0 (aka just in time)
           - Include translations and doc

* Wed Sep 13 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.3-0.rc1.3mdv2007.0
+ Revision: 61107
- Put the corerct priority number

* Wed Sep 13 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.3-0.rc1.2mdv2007.0
+ Revision: 61095
- Add missin patch
- Raise priority of kmplayer

* Thu Sep 07 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.rc1.1mdv2007.0
+ Revision: 60304
- New package (2006-09-06 0.9.3-rc1)
  0.9.3rc1

* Sun Sep 03 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.3mdv2007.0
+ Revision: 59595
- New package
  Patch from Raphael Gertz <rapsys at free dot fr> to use gl2

* Tue Aug 29 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.2mdv2007.0
+ Revision: 58515
- Add missing buildrequires

* Tue Aug 29 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.1mdv2007.0
+ Revision: 58346
- pre2

* Sun Aug 13 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre1.1mdv2007.0
+ Revision: 55718
- New package (2006/08/12 0.9.3-pre1)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix for mdv <= 2006  thanks laurent

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaned spec and moved neoclust fix for a rpm based solution
      Will close bug number http://qa.mandriva.com/show_bug.cgi?id=23585
    - Proper compile of xine and gstreamer backends
    - Removed old icons since package provide right set
    - Removed explicit requires for mplayer. Should be optional and gstreamer and xine is
      already enabled by default
    - import kmplayer-0.9.2-4mdv2007.0

* Sun Jul 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.2-4mdv2007.1
- remove x-mplayer2.desktop which conflicts with new kdelibs-common

* Thu Jun 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-3
- Use 0.9.2a version

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.2-2mdk
- Rebuild to generate categories

* Sun Apr 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-1
- 0.9.2

* Wed Apr 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.rc1.1
- 0.9.2-rc1

* Wed Mar 22 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre3.1
- 0.9.2-pre3

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre2.1
- 0.9.2-pre2

* Fri Jan 06 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre1.2
- Add patch1: fix crash when device is not here.
- Fix menu

* Fri Jan 06 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre1.1
- 0.9.2-pre1

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-3
- Fix build on x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-2
- 0.9.1a

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-1mdk
- 0.9.1 Final

* Tue Oct 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-0.rc1.1mdk
- New release 0.9.1-Rc1
- Remove redundant buildRequires

* Wed Aug 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-3mdk
- Use 0.9.0c

* Sun Aug 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-2mdk
- 0.9.0b

* Mon Jul 25 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-1mdk
- 0.9.0

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-0.pre3.1mdk
- 0.9.0-pre3
- Fix build for amd64

* Wed Apr 20 2005 Nick Brown <nickbrown@mandriva.org> 0.9.0-0.pre2.1mdk
- 0.9.0-pre2
- remove pnm.protocol which conflicts with new kdelibs-common
- fix icon installation

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-0.rc5.1mdk
- rc5

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 0.8.4-0.rc4.1mdk
- 0.8.4-rc-4

* Thu Nov 11 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.4-0.rc2.1mdk
- 0.8.4-rc2
- lib64 fixes
- remove x-ms-wma.desktop which conflicts with new kdelibs-common
- cleanups

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.2mdk
- remove files that conflict with kdelibs

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.1mdk
- fix icon installation
- add source URL
- new version

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc1.2mdk
- rebuild for new g++

* Thu May 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-0.rc1.1mdk
- 0.8.3-rc1

